
# SSU colors:
# https://web.sonoma.edu/identity-toolkit/official_colors.html

body {
	font-family:helvetica, arial, sans-serif;
	position: relative;
}

a {
	text-decoration:underline;
	color:#000080;
}

a:visited {
	color:#0066FF;
}

a:hover {
	text-decoration:none;
	color:#0000FF;
}

hr {
	background-image:initial;
	background-repeat-x:initial;
	background-repeat-y:initial;
	background-repeat:no-repeat;
	background-attachment:initial;
	background-position:initial initial;
	background-position-x:initial;
	background-position-y:initial;
	background-origin:initial;
	background-clip:initial;
	background-color:#143b87;
	color:#8db9e5;
	height:5px;
	margin-top: 5px;
	margin-bottom: 5px;
}

hr.plain {
	background-image:initial;
	background-repeat-x:initial;
	background-repeat-y:initial;
	background-repeat:no-repeat;
	background-attachment:initial;
	background-position:initial initial;
	background-position-x:initial;
	background-position-y:initial;
	background-origin:initial;
	background-clip:initial;
	background-color:#000000;
	color:#000000;
	height:1px;
}

img {
	border-top-width:0;
	border-right-width:0;
	border-bottom-width:0;
	border-left-width:0;
	border-style:initial;
	border-color:#000000;
	vertical-align:bottom;
}

dd {
    margin-left: 15pt;
}

#smr-pic {
	position:absolute;
	left:0;
	top:0;
	background-image:initial;
	background-repeat-x:no-repeat;
	background-repeat-y:no-repeat;
	background-repeat:no-repeat;
	background-attachment:initial;
	background-position:0% 0%;
	background-position-x:0%;
	background-position-y:0%;
	background-origin:initial;
	background-clip:initial;
	background-color:#000000;
	width:180px;
	margin:10px;
}

#header {
	margin-left:180px;
	max-width:800px;
}

ol li {
	margin-bottom:1em;
}

ul {
	margin-top:0;
}

ul.tight li {
	margin-top:0;
	margin-bottom:0;
}

ul#links {
	position:relative;
	float:left;
	list-style-type:none;
	list-style-position:initial;
	list-style-image:initial;
	text-align:left;
	width:5.5em;
	font-family:helvetica, sans-serif;
	border-right:3px solid #000080;
	margin:0;
	padding:0.5em 10px 0px 20px;
}

ul#links li {
	margin-bottom:1em;
}

ul#pubs {
	list-style-type:square;
	list-style-position:initial;
	list-style-image:initial;
	margin:0.5em 0.5em 0px 25px;
}

ul#pubs li {
	margin-left:0;
	padding-left:0;
}

#main {
	max-width:840px;
	margin-left:9em;
	padding:0px 0px 0px 5px;
}




/* 
 * Header stuff
 */

h1 h2 h3 h4 {
	font-family:helvetica, sans-serif;
}

h1 {
	#font-size:xx-large;
	#font-family:helvetica, sans-serif;
	#font-weight:normal;
	#margin-bottom:0.3em;
}

h2 {
	#font-family:helvetica, sans-serif;
	#font-size:large;
	#font-weight:bold;
}

h2#title {
	#font-size:large;
	#font-weight:normal;
}

h3 {
	f#ont-family:helvetica, sans-serif;
	#margin-bottom:0.5em;
	#font-size:medium;
}

h4 {
	#font-family: helvetica, sans-serif;
	#margin-bottom:0.2em;
	font-size:normal;
	font-weight:normal;
	font-style:italic;
}

.inlineheader {
	font-weight:bold;
}


/* 
 *
 * table stuff
 *
 */

table {
	border-top-color:#000000;
	border-right-color:#000000;
	border-bottom-color:#000000;
	border-left-color:#000000;
}

td {
	padding-left:1em;
}

td, th {
	text-align:left;
	vertical-align:top;
}

table.text-center th,
table.text-center td {
    text-align: center;
}

.table-nonfluid {
   width: auto !important;
}

.table-borderless > tbody > tr > td,
.table-borderless > tbody > tr > th,
.table-borderless > tfoot > tr > td,
.table-borderless > tfoot > tr > th,
.table-borderless > thead > tr > td,
.table-borderless > thead > tr > th {
    border: none;
}

/* 
 * Special tables 
 */

table.table-fillin, 
table.numbers {
	border:1px solid #000000;
}

table.table-fillin td, 
table.table-fillin th, 
table.schedule th,
table.schedule td {
	border:1px solid #000000;
	padding:5px;
	border-collapse:collapse;
	vertical-align:middle;
}

table.numbers td,
table.numbers th {
	border-collapse:collapse;
	text-align:right;
	border:1px solid #000000;
	padding:5px;
}

th.number,
td.number {
	text-align:right;
}


/*
 * .syllabus class
 */

div.syllabus h3 {
	font-style:italic;
	font-weight:normal;
	background-color:#8db9e5;
	padding:3pt;
}

div.syllabus h4 {
	margin-bottom:0em;
}


/* 
 *
 * .schedule class
 *
 */

table.schedule {
	border-collapse:separate;
	-webkit-border-horizontal-spacing:0;
	-webkit-border-vertical-spacing:0;
	-webkit-border-top-left-radius:30px 30px;
	border-radius: 30px;
	-moz-border-radius: 30px;
	-ms-border-radius: 30px;
	-webkit-border-radius: 30px;
	border:3px solid #000000;
}

table.schedule tr:last-child td:first-child {
	-webkit-border-bottom-left-radius:30px 30px;
	border-bottom-left-radius:30px 30px;
	-o-border-bottom-left-radius:30px 30px;
	-ms-border-bottom-left-radius:30px 30px;
	-moz-border-radius-bottomleft:30px 30px;
	border-left-width:0;
	border-bottom-width:0;
}

table.schedule tr:first-child th:last-child {
	-webkit-border-top-right-radius:30px 30px;
	border-top-right-radius:30px 30px;
	-o-border-top-right-radius:30px 30px;
	-ms-border-top-right-radius:30px 30px;
	-moz-border-radius-topright:30px 30px;
	border-top-width:0;
	border-right-width:0;
}

table.schedule tr:last-child td:last-child {
	-webkit-border-bottom-right-radius:30px 30px;
	border-bottom-right-radius:30px 30px;
	-o-border-bottom-right-radius:30px 30px;
	-ms-border-bottom-right-radius:30px 30px;
	-moz-border-radius-bottomright:30px 30px;
	border-right-width:0;
	border-bottom-width:0;
}

table.schedule tr:first-child th:first-child {
	-webkit-border-top-left-radius:30px 30px;
	border-top-left-radius:30px 30px;
	-o-border-top-left-radius:30px 30px;
	-ms-border-top-left-radius:30px 30px;
	-moz-border-radius-topleft:30px 30px;
	border-left-width:0;
	border-top-width:0;
}


table.schedule td {
	vertical-align:middle;
}

table.schedule tr th {
	border-bottom:0;
}

table.schedule .empty {
	background-color:#C0C0C0;
	font-style:italic;
}

table.schedule .exam {
	font-weight:bold;
	background-color:#FF7F50;
}

table.schedule .quiz {
    font-weight:bold;
    color:#FF7F50;
}

table.schedule tr.week td {
	border-top:thick double #000000;
}

table.schedule th,
table.schedule td {
	border:1px solid #C0C0C0;
	padding:0px;
	border-collapse:collapse;
	vertical-align:middle;
}


/*
 * .syllabus-sidebar class
 *
 * Scrollspy and affixed enhanced navigation to highlight sections and secondary
 * sections of docs content.
 */

.syllabus-sidebar.affix {
	position: fixed;
	top: 20px;
}
@media (min-width: 768px) {
  .syllabus-sidebar {
    padding-left: 20px;
  }
}
.syllabus-sidebar {
  margin-top: 20px;
  margin-bottom: 20px;
}

/* All levels of nav */
.syllabus-sidebar .nav > li > a {
  display: block;
  padding: 4px 20px;
  font-size: large;
  font-weight: 500;
  color: #767676;
}

/* Nav: first level  styles */
.syllabus-sidebar .nav > li > a:hover,
.syllabus-sidebar .nav > li > a:focus {
  padding-left: 19px;
  color: #143b87;
  text-decoration: none;
  background-color: transparent;
  border-left: 1px solid #143b87;
}
.syllabus-sidebar .nav > .active > a,
.syllabus-sidebar .nav > .active:hover > a,
.syllabus-sidebar .nav > .active:focus > a {
  padding-left: 18px;
  font-weight: bold;
  color: #143b87;
  background-color: transparent;
  border-left: 2px solid #143b87;
}

/* Nav: second level (hidden by default) */
.syllabus-sidebar .nav .nav {
  display: none; /* Hide by default, but at >768px, show it */
  padding-bottom: 10px;
}

/* Nav: second level  (shown on .active) */
.syllabus-sidebar .nav >.active .nav {
  display: block;
}

/* Nav: second level styles */
.syllabus-sidebar .nav .nav > li > a {
  padding-top: 1px;
  padding-bottom: 1px;
  padding-left: 30px;
  font-size: medium;
  font-weight: normal;
}
.syllabus-sidebar .nav .nav > li > a:hover,
.syllabus-sidebar .nav .nav > li > a:focus {
  padding-left: 29px;
}
.syllabus-sidebar .nav .nav > .active > a,
.syllabus-sidebar .nav .nav > .active:hover > a,
.syllabus-sidebar .nav .nav > .active:focus > a {
  padding-left: 28px;
  font-weight: 500;
}


/* 
 *
 * lab-instructions
 *
 */

ol.lab-instructions > li {
    margin-bottom: 2em;
}

#ol.lab-instructions {
#  margin-left: 0;
#  list-style: none;
#  counter-reset: step-counter;
#}

#ol.lab-instructions > li::before {
#    counter-increment: step-counter;
#    content: counter(step-counter);
#    margin-bottom: 10px;
#    margin-right: 10px;
#    margin-left: -40px;
#    font-size: x-large;
#    background-color: rgb(100,100,100);
#    color: white;
#    font-weight: bold;
#    padding: 5px 10px;
#    border-radius: 10px;
#}


/* 
 * topbar navigation
 */

.syllabus-topbar .navbar-nav>li>a {
  font-size: large;
  padding-top: 10px;
}

/* 
 * one-off, special environments
 */

div.solution {
	font-family:'Comic Sans MS', cursive;
	margin-top:6px;
	border-style:solid;
}

span.demo {
	padding:3px;
}


/* 
 * Overwrite the style in prettifier back to default
 */

pre.prettyprint {
    padding: 9.5px;
    border: 1px solid #ccc;
}

code {
    color: #008;
    background-color: #f5f5f5;
}
